<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/hf_grey19"
    android:focusable="true"
    android:focusableInTouchMode="true"
    android:orientation="vertical">

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="@dimen/toolbar_height"
        android:gravity="center_vertical"
        android:orientation="horizontal"
        android:paddingLeft="2dp"
        android:paddingRight="2dp"
        android:scrollbars="none">

        <ImageButton
            android:id="@+id/back_imageButton"
            android:layout_width="48dp"
            android:layout_height="48dp"
            android:layout_centerVertical="true"
            android:layout_marginLeft="4dp"
            android:background="@null"
            android:padding="10dp"
            android:src="@mipmap/ic_ab_back" />

        <kr.co.hanwha.hifive.view.HFSearchEditTextView
            android:id="@+id/searchEditText"
            android:layout_width="match_parent"
            android:layout_height="34dp"
            android:layout_marginRight="16dp"
            android:layout_weight="1"
            app:focus="false" />
    </LinearLayout>

    <LinearLayout
        android:id="@+id/recent_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:orientation="vertical"
        android:visibility="gone">

        <ScrollView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:fadingEdgeLength="0dp"
            android:overScrollMode="never">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:orientation="vertical">


                <kr.co.hanwha.hifive.view.HFSearchRecentView
                    android:id="@+id/searchRecentView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="50dp" />

                <kr.co.hanwha.hifive.view.HFSearchProjectView
                    android:id="@+id/searchProjectView"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginBottom="50dp"
                    android:minHeight="50dp"
                    android:visibility="gone" />
            </LinearLayout>

        </ScrollView>


    </LinearLayout>

    <LinearLayout
        android:id="@+id/result_linearLayout"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_weight="1"
        android:orientation="vertical"
        android:visibility="gone">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:gravity="center_vertical"
            android:orientation="horizontal"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:visibility="gone">

            <kr.co.hanwha.hifive.view.FontTextView
                style="@style/font_notosans_r_13sp_898989"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:text="@string/search_task" />

            <LinearLayout
                android:id="@+id/viewAll_linearLayout"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_898989"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="@string/search_view_all" />

                <kr.co.hanwha.hifive.view.FontTextView
                    style="@style/font_notosans_r_13sp_898989"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="3dp"
                    android:layout_weight="1"
                    android:text=">" />
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/count_linearLayout"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginLeft="11dp"
            android:gravity="center_vertical"
            android:minHeight="31.5dp"
            android:orientation="horizontal"
            android:visibility="gone">

            <kr.co.hanwha.hifive.view.FontTextView
                style="@style/font_notosans_r_12sp_grey01"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/search_result_count_title" />

            <kr.co.hanwha.hifive.view.FontTextView
                android:id="@+id/taskCount_textView"
                style="@style/font_notosans_r_12sp_grey04"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginLeft="3dp"
                android:gravity="center"
                android:text="0" />

        </LinearLayout>

        <android.support.v7.widget.RecyclerView
            android:id="@+id/quest_recyclerView"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:fadingEdgeLength="0dp"
            android:paddingBottom="15dp"
            android:overScrollMode="never" />


        <LinearLayout
            android:id="@+id/empty_linearLayout"
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_weight="1"
            android:gravity="center"
            android:orientation="vertical"
            android:paddingLeft="16dp"
            android:paddingRight="16dp"
            android:visibility="gone">

            <kr.co.hanwha.hifive.view.FontTextView
                android:id="@+id/empty_textView"
                style="@style/font_notosans_r_15sp_000000"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center"
                android:text="@string/search_result_empty" />
        </LinearLayout>
    </LinearLayout>


</LinearLayout>